Subject: Revised Coal and Ash Agreements
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 22 May 2001 13:42:00 -0700 (PDT)

Heather,  Attached are the clean and redlined drafts of the revised Coal and 
Ash Agreements per your notes and phone mail.  Please review.   By copy of 
this email I am asking David to review the insurance section in both 
agreements for adequacy.  

David - The attached are the forms of Coal Hauling and Ash Handling agreement 
that we would use to contract with Reuse Technology for both the Lumberton 
Power LLC and Elizabethtown Power LLC.  Please provide comments.